<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


echo '<b><font color="red">Рыбалка</font></b><br/>';

if($user['gorod_fishing_time']<time()){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo'Здарова, '.$user['nick'].'!<br/>';
echo'У тебя есть '.$user['gorod_money'].' монет<br/>';

$w=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='udo4ka' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($w)){
echo 'У тебя нет удочки!<br/>';
echo 'Сначала необходимо <a href="snar.php">купить удочку!</a>';
}else{
$w=mysql_fetch_assoc($w);
echo'Удочка: '.$w['name'].'.';


$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='lic_fish' AND `uid`='".$user['id']."'");


if(!mysql_num_rows($x)){
echo'<br/><a href="fishing.php?action=straf">Сначала купи себе лецензию на отлов рыбки: 500$ </a><br/>';
}else{
echo '<br/><font color="red"><b>Наживка:</b></font>';
echo '<br/>';


echo '<form action="fishing.php?action=nazhivka" method="post">';
echo '<select name="oper">';
echo '<option value="1">Крошка хлеба - 20 монет</option>';
echo '<option value="2">Червь - 40 монет</option>';
echo '<option value="3">Лягушка - 60 монет</option>';
echo '<option value="4">Борсучий жир - 100 монет</option>';
echo '<option value="5">Таблетка &bdquo;Всплывалка&ldquo; - 1000 монет</option>';
echo '<option value="6">Китайская икра - 5000 монет</option>';
echo '</select><br/>';
echo '<input type="submit" value="Ловить"/>';
echo '</form>';

};
};
break;


case 'nazhivka':
$oper=(int)$_POST['oper'];
if(!$oper || $oper<0 || $oper>6){echo 'Не правильный параметры!';break;};

if($oper==1){$min=20;}
elseif($oper==2){$min=40;}
elseif($oper==3){$min=60;}
elseif($oper==4){$min=100;}
elseif($oper==5){$min=1000;}
elseif($oper==6){$min=5000;}
else{$min==10000;};

if($min>$user['gorod_money']){echo 'К тебя нет столько денег!';break;};

mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$min' WHERE `id`='".$user['id']."'");

$fish=rand(0,7);
if ($fish==0) {
echo "Сорвалась!<br/>";
echo'<a href="fishing.php">Попробовать еще</a><br/>';
}else{

if ($fish==7) {
echo 'Налетел рыбный надзор!<br/>';
$straf=rand(100,1000);
echo 'Наложен штраф '.$straf.' монет<br/>Будешь платить или отправишься за решетку?<br/>';


echo'<br/><a href="fishing.php?action=pay&amp;r='.$straf.'">Заплатить</a><br/>';
echo'<br/><a href="fishing.php?action=inban">В бан!</a><br/>';
}else {
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='udo4ka' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){echo 'У вас нет удочки!';break;};
$x=mysql_fetch_assoc($x);
$data[]='Молюск';
$data[]='Сом';
$data[]='Щука';

$kol=$x['uron']+$oper+rand(1,3);
$masa=$kol*rand(1,5);
$r=rand(0,count($data)-1);

$price=(round($masa/$kol))+25;
for($i=0;$i<=$kol;$i++){
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`life`,`type`,`price`)VALUES('".$user['id']."','".$data[$r]."','25','eda','$price')");
};
mysql_query("UPDATE `user` SET `gorod_fishing_time`='".(time()+1000)."' WHERE `id`='".$user['id']."'");

echo 'Тебе попался '.$data[$r].'!<br/>';
echo 'Ты словил '.$kol.' рыб, общей массой в '.$masa.'кг!<br/>';
echo 'Ты можеш отправится в <a href="bazar.php">магазин</a>, <a href="eda.php">похавать</a> или снова <a href="fishing.php">на рыбалку</a>!';

};

};

break;


case 'pay':
$r=(int)$_GET['r'];
if(!$r){echo 'Пустые параметры!';break;};
if($user['gorod_money']<$r){
mysql_query("INSERT INTO `ban` (`time`,`id_user`,`id_ban`,`prich`)VALUES('".(time()+1500)."','".$user['id']."','1','Бан города!')");
echo 'У тебя нет денег для оплаты штрафа!<br/>';
echo 'Ты отправлен в баню!';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$r' WHERE `id`='".$user['id']."'");
echo 'Ты оплатил штраф! Можеш отправлятся на <a href="fishing.php">рыбалку!</a>';
};
break;


case 'inban':
mysql_query("INSERT INTO `ban` (`time`,`id_user`,`id_ban`,`prich`)VALUES('".(time()+1500)."','".$user['id']."','1','Бан города!')");
echo 'Ты отправлен в баню!';
break;


case 'straf':

if($user['gorod_money']<500){
echo'У вас нет такого количества денег.<br/>';
}else{
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='lic_fish' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-500 WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`)VALUES('".$user['id']."','Лицензия на рыбалку','lic_fish','500')");
echo'<a href="fishing.php">Удачно! На рыбалку</a><br/>';
}else{
echo 'У вас уже есть лицензия!<br/>';
echo'<a href="fishing.php">На рыбалку</a><br/>';};
};

break;


};
}else{

function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};

echo 'Вы не давно рыбачили! Приходите через '.maketime($user['gorod_fishing_time']-time()).'!';
};




echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>